Empathy-3.12.7

Introduction to Empathy

Empathy is an instant messaging program which supports text, voice, and video chat and file transfers over many different protocols.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

Empathy Dependencies

Required

clutter-gst-2.0.12, clutter-gtk-1.6.0, Folks-0.10.0, Gcr-3.14.0, libcanberra-0.30, libnotify-0.7.6, libsecret-0.18, PulseAudio-5.0, telepathy-farstream-0.6.2, telepathy-logger-0.8.1, and WebKitGTK+-2.4.6

Recommended

Optional

Cheese-3.14.1, enchant-1.6.0 and ISO Codes-3.56 (Spell Checking), GeoClue-2.1.9, geocode-glib-3.14.0, libchamplain-0.12.9, and Valgrind-3.10.0

Runtime Dependencies (Protocols)

telepathy-gabble-0.18.3 (Jabber, Google Talk, Facebook Chat, XMPP), telepathy-haze-0.8.0 (AIM, Gadu-Gadu, ICQ, Windows Live (MSN), Myspace, Yahoo!, Zephyr), telepathy-idle-0.2.0 (IRC), and telepathy-salut-0.8.1 (local network "Bonjour" - iChat-compatible)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/empathy

Installation of Empathy

Install Empathy by running the following commands:

./configure --prefix=/usr --disable-static --enable-ubuntu-online-accounts=no &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--enable-ubuntu-online-accounts=no This disables building ubuntu plugins as we are not on ubuntu.

--disable-static: This switch prevents installation of static versions of the libraries.

Contents

Installed Programs: empathy, empathy-accounts, and empathy-debugger
Installed Libraries: mcp-account-manager-goa.so (Telepathy Mission Control Plugin)
Installed Directories: /usr/lib/empathy, /usr/lib/mission-control-plugins.0, /usr/share/adium, /usr/share/empathy, and /usr/share/help/*/empathy

Short Descriptions

empathy

is a GNOME instant messaging client using Telepathy.

empathy-accounts

is an accounts configuration dialog for Empathy.

Last updated on 2014-10-16 03:50:49 +0000